Sync with portage [Mon Feb 26 08:42:59 MSK 2018].

mhiretskiy
root 6 years ago
parent c7d870953d
commit 820c114592

Binary file not shown.

Binary file not shown.

@ -1,2 +1 @@
DIST KeePass-2.37-Source.zip 5080663 BLAKE2B bf74c93eb732d607fe87dc29d3e429b37f1052b258e980127ce1f687423a790bfe298f06c1c459888c60b066a45053447fbaed730e3d38cd6b6dd48d53fbdc34 SHA512 d094793a3216181ae375fb1343a809a20c358786bdf369c0171e5b7ca17a74bada314875cf410d84efaa4fa2b13e199de9be3c60f5f4e2c189241e4fffec8ad8
DIST KeePass-2.38-Source.zip 5091900 BLAKE2B 22e3f7046984204a3e0c4a1c6d8303661048bc0fee4bcdb7999b521d0ed6e5463d89044d2897cfec0c932349cc80a7b43d4c8dfbceb4f2e88041c642e0c0d231 SHA512 42fa7274874d4858da360a6772eb25adbf3a6dafe375093459d9a25903d8c159360ea722e969fe8b330bccf62ee5d381e131bd0ba075445932d8019eee19bf20

@ -1,111 +0,0 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit eutils gnome2-utils xdg-utils
MY_PN="KeePass"
DESCRIPTION="A free, open source, light-weight and easy-to-use password manager"
HOMEPAGE="https://keepass.info/"
SRC_URI="mirror://sourceforge/${PN}/${MY_PN}-${PV}-Source.zip"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE="aot"
COMMON_DEPEND="dev-lang/mono"
DEPEND="${COMMON_DEPEND}
app-arch/unzip
"
RDEPEND="${COMMON_DEPEND}
dev-dotnet/libgdiplus[cairo]
"
S="${WORKDIR}"
PATCHES=( "${FILESDIR}/${PN}-2.36-xsl-path-detection.patch" )
src_prepare() {
# KeePass looks for some XSL files in the same folder as the executable,
# we prefer to have it in /usr/share/KeePass. Apply patch using base function.
# This XSL file will not be upstreamed since the KeePass creator said that
# including this patch would break the Portable USB version of KeePass
# (which keeps/looks for xsl files in its own folder)
default
# Switch into build dir so the mono prepration script works correctly
cd Build || die
source PrepMonoDev.sh || die
cd ../ || die
}
src_compile() {
# Build with Release target
xbuild /target:KeePass /property:Configuration=Release || die
# Run Ahead Of Time compiler on the binary
if use aot; then
cp Ext/KeePass.exe.config Build/KeePass/Release/ || die
mono --aot -O=all Build/KeePass/Release/KeePass.exe || die
fi
}
src_install() {
# Wrapper script to launch mono
make_wrapper "${PN}" "mono /usr/$(get_libdir)/${PN}/KeePass.exe"
# Some XSL files
insinto "/usr/share/${PN}/XSL"
doins Ext/XSL/*
insinto "/usr/$(get_libdir)/${PN}/"
exeinto "/usr/$(get_libdir)/${PN}/"
doins Ext/KeePass.exe.config
# Default configuration, simply says to use user-specific configuration
doins Ext/KeePass.config.xml
# The actual executable
doexe Build/KeePass/Release/KeePass.exe
# Copy the AOT compilation result
if use aot; then
doexe Build/KeePass/Release/KeePass.exe.so
fi
# Prepare the icons
newicon -s 256 Ext/Icons_04_CB/Finals/plockb.png "${PN}.png"
newicon -s 256 -t gnome -c mimetypes Ext/Icons_04_CB/Finals/plockb.png "application-x-${PN}2.png"
# Create a desktop entry and associate it with the KeePass mime type
make_desktop_entry "${PN}" "${MY_PN}" "${PN}" "System;Security" "MimeType=application/x-keepass2;"
# MIME descriptor for .kdbx files
insinto /usr/share/mime/packages/
doins "${FILESDIR}/${PN}.xml"
# sed, because patching this really sucks
sed -i 's/mono/mono --verify-all/g' "${D}/usr/bin/keepass"
}
pkg_postinst() {
gnome2_icon_cache_update
xdg_desktop_database_update
xdg_mimeinfo_database_update
if ! has_version x11-misc/xdotool ; then
elog "Optional dependencies:"
elog " x11-misc/xdotool (enables autotype/autofill)"
fi
elog "Some systems may experience issues with copy and paste operations."
elog "If you encounter this, please install x11-misc/xsel."
}
pkg_postrm() {
gnome2_icon_cache_update
xdg_desktop_database_update
xdg_mimeinfo_database_update
}

@ -12,7 +12,7 @@ SRC_URI="mirror://sourceforge/${PN}/${MY_PN}-${PV}-Source.zip"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 x86"
IUSE="aot"
COMMON_DEPEND="dev-lang/mono"

@ -20,7 +20,7 @@ fi
LICENSE="LGPL-2.1 GPL-2 GPL-3"
SLOT="0"
IUSE="autotype debug http test yubikey"
IUSE="autotype browser debug http network test yubikey"
RDEPEND="
app-crypt/argon2:=

@ -7,7 +7,9 @@
</maintainer>
<use>
<flag name="autotype">Add support to autotype the passwords into other applications</flag>
<flag name="browser">Enables browser plugin support</flag>
<flag name="http">Add http support</flag>
<flag name="network">Enable network support</flag>
<flag name="yubikey">Enable database unlocking via YubiKey.</flag>
</use>
<longdescription>

@ -13,7 +13,7 @@ SRC_URI="https://github.com/hughsie/${MY_PN}/archive/v${PV}.tar.gz -> ${P}.tar.g
LICENSE="LGPL-2.1"
SLOT="0/1"
KEYWORDS="~amd64 ~arm ~x86"
KEYWORDS="amd64 ~arm x86"
IUSE=""
RDEPEND="

@ -1,4 +1,4 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -11,7 +11,7 @@ SRC_URI="http://linukz.org/download/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
KEYWORDS="amd64 ~ppc x86"
RDEPEND="virtual/mailx"

@ -30,3 +30,4 @@ DIST systemrescuecd-x86-5.1.0.iso 505047040 BLAKE2B 3653bdd2733cfe214275ab8d3a95
DIST systemrescuecd-x86-5.1.1.iso 517359616 BLAKE2B f139a521076f0345a65bddfd999f7dd4479a9fd26e3621f2c419804228922af53f2e6d99a97919db0041e4199a95ea745d674a7b0a61f86dc5d9e10ff562d314 SHA512 a4063305da50ea8b73fb7157f46bf386b80d3ef777adabdcdd944814c801d078fe63778f166b80788b0851549b35bf6ada5940ca5a40a6c1a3e0f4c66efbea91
DIST systemrescuecd-x86-5.1.2.iso 523479040 BLAKE2B abf6f1e3e05e382b48dcfd4ecde9f70896462418cf36057e3a42dc2366e0b56133deeb6f00363d15d94238c22fb8ac5c88b57ca6c213c9dcc299fa04def5e2cd SHA512 516e60632459dd5408f83035aa265ed4169b13f978a23960a85837c9c8b5bbab70776e22a6e6727184bd9df81cbbeff4a5819d5927ff0ff3a79036bc4c54cfdc
DIST systemrescuecd-x86-5.2.0.iso 569669632 BLAKE2B fe31a68df650b46bd875b91c643c8f1daaa60042ea6c59ac452bb99a2792dcdcee62f1b60c329a70c95689af22c1a0fc52a966631af347258d665f55d2f6d8c0 SHA512 42da80a419aa27bea891339dc163a62bff8ba34d74c202a7fd0317592e8870a71ddc7fa9e9ded5e9d2f75dc36ec8417673074ffde60ea472815405456e34876c
DIST systemrescuecd-x86-5.2.1.iso 570523648 BLAKE2B 9bb6b2ff7b9930f658baddbf60ef89e86171febcfb48eb0a6ce1bfea8fd3348773a9da948370f9f310dd0e992c40aa64a4ef1442f5cd7f408f847d147074cf1f SHA512 6820f079c9e97ac0d383ed9096a120e7e31771e1d41465f4cf7f5db36a7cb83ccfaae5c5e561181c3b3cb169d4cc4a9a6904a707ecde06a6de4f2456d2a658e4

@ -0,0 +1,61 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
DESCRIPTION="The .iso image of SystemRescueCD rescue disk, x86 (+ amd64) variant"
HOMEPAGE="http://www.sysresccd.org/"
# Large ISO mirroring explicitly approved by infra in bug #588766
SRC_URI="mirror://sourceforge/systemrescuecd/sysresccd-${PN#*-}/${PV}/${P}.iso"
LICENSE="GPL-2"
SLOT="${PV}"
KEYWORDS="~amd64 ~x86"
IUSE="+isohybrid"
DEPEND="isohybrid? ( >=sys-boot/syslinux-4 )"
S=${WORKDIR}
src_install() {
insinto "/usr/share/${PN%-*}"
doins "${DISTDIR}/${P}.iso"
if use isohybrid; then
set -- isohybrid -u "${ED}usr/share/${PN%-*}/${P}.iso"
echo "${@}"
"${@}" || die "${*} failed"
fi
}
pkg_postinst() {
local f=${EROOT%/}/usr/share/${PN%-*}/${PN}-newest.iso
# no version newer than ours? we're the newest!
if ! has_version ">${CATEGORY}/${PF}"; then
ln -f -s -v "${P}.iso" "${f}" || die
fi
}
pkg_postrm() {
local f=${EROOT%/}/usr/share/${PN%-*}/${PN}-newest.iso
# if there is no version newer than ours installed
if ! has_version ">${CATEGORY}/${PF}"; then
# and we are truly and completely uninstalled...
if [[ ! ${REPLACED_BY_VERSION} ]]; then
# then find an older version to set the symlink to
local newest_version=$(best_version "<${CATEGORY}/${PF}")
if [[ ${newest_version} ]]; then
# update the symlink
ln -f -s -v "${newest_version%-r*}.iso" "${f}" || die
else
# last version removed? clean up the symlink
rm -v "${f}" || die
# and the parent directory
rmdir "${f%/*}" || die
fi
fi
fi
}

Binary file not shown.

@ -10,7 +10,7 @@ SRC_URI="mirror://debian/pool/main/d/${PN}/${P/-/_}.tar.xz"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha ~amd64 ~arm hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-solaris ~x86-solaris"
IUSE="+bzip2 +lzma nls selinux test unicode +update-alternatives +zlib"
RDEPEND="

Binary file not shown.

@ -2,3 +2,4 @@ DIST keybase-1.0.33.tar.gz 29170354 BLAKE2B 78799ea49cde32e3c1be781e281b5ca188f7
DIST keybase-1.0.36.tar.gz 30043919 BLAKE2B 0053088754b0a4a47314032e87a7c5165aff59ded585ae20fb12c3dbf0c7437f7f0370f236fec0db501cacb3a75e87ed494df8f688d360c58904e851eb119f60 SHA512 c6bd4805240bdafd27eac382a30fac6e5ac3e6eb313dda027533c3a8f366077c894b38c1b972ff5688104e1ca4231cbf4242eeb168de9782bbac732da5639ed0
DIST keybase-1.0.39.tar.gz 30226025 BLAKE2B 5d10e4afe3f0f1691221cbf69ff3e427fe318768e74f5891d32416e92ad5c1c45ad3ff0c83ea2d2405f4492a2d2af989ff587c60c9a5677ae580c9502e9a5726 SHA512 def416bad6fc3513a3341aecaf03bce356a890667e4c64f9edc1c469b3a1f167c3022f6c1aabaa48257983aaa9826b45117ada6cc26bf862c97092c904cd32f1
DIST keybase-1.0.41.tar.gz 31643095 BLAKE2B 72fe94c8996b0dfad3d75f487545d5cb96ffa09c46276104171f103f2fcbb29199013ad8075fdddf3655f63f55cbd2f0d0768b5f0e697b7339262736d9c29ca5 SHA512 1382f008089d8704167842960aec9e4007ac32db589bad45944428ad92ac90b1802338ff6ccc0c570d40b9c9115170a2e15c590f875cdc8261d203c01402385c
DIST keybase-1.0.44.tar.gz 31729876 BLAKE2B 945700824e630591f7b79dd5e8253156ee8e3ab1349f9ad584311d781cd9c98a5176884aa2fa34ac164af2194941822e56e96d7783843f649a97058edf015670 SHA512 a50c33548745e3c946099105c6926e4b4cd37a96c57d86ca7259b7b864f92a9e2b8823b992d7e367ee93a5832481360d66e170ba59a5cf99296dde20c1538c41

@ -0,0 +1,62 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit eutils systemd user versionator
MY_PV=$(replace_version_separator 3 '-')
DESCRIPTION="Client for keybase.io"
HOMEPAGE="https://keybase.io/"
SRC_URI="https://github.com/keybase/client/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND="
>=dev-lang/go-1.6:0
app-crypt/kbfs"
RDEPEND="
app-crypt/gnupg"
S="${WORKDIR}/src/github.com/keybase/client"
pkg_setup() {
enewuser keybasehelper
}
src_unpack() {
unpack "${P}.tar.gz"
mkdir -p "$(dirname "${S}")" || die
mv "client-${MY_PV}" "${S}" || die
}
src_compile() {
GOPATH="${WORKDIR}:${S}/go/vendor" \
go build -v -x \
-tags production \
-o "${T}/keybase" \
github.com/keybase/client/go/keybase || die
GOPATH="${WORKDIR}" \
go build -v -x \
-tags production \
-o "${T}/keybase-mount-helper" \
github.com/keybase/client/go/mounter/keybase-mount-helper || die
}
src_install() {
dobin "${T}/keybase"
dobin "${T}/keybase-mount-helper"
fowners keybasehelper:keybasehelper "${EROOT}/usr/bin/keybase-mount-helper"
dobin "${S}/packaging/linux/run_keybase"
systemd_douserunit "${S}/packaging/linux/systemd/keybase.service"
}
pkg_postinst() {
elog "Run the service: keybase service"
elog "Run the client: keybase login"
elog "Restart keybase: run_keybase"
}

@ -1,9 +1,9 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit eutils versionator git-r3
inherit eutils systemd user versionator git-r3
MY_PV=$(replace_version_separator 3 '-')
@ -17,12 +17,17 @@ KEYWORDS=""
IUSE=""
DEPEND="
>=dev-lang/go-1.6:0"
>=dev-lang/go-1.6:0
app-crypt/kbfs"
RDEPEND="
app-crypt/gnupg"
S="${WORKDIR}/src/github.com/keybase/client"
pkg_setup() {
enewuser keybasehelper
}
src_unpack() {
git-r3_src_unpack
mkdir -p "$(dirname "${S}")" || die
@ -35,13 +40,23 @@ src_compile() {
-tags production \
-o "${T}/keybase" \
github.com/keybase/client/go/keybase || die
GOPATH="${WORKDIR}" \
go build -v -x \
-tags production \
-o "${T}/keybase-mount-helper" \
github.com/keybase/client/go/mounter/keybase-mount-helper || die
}
src_install() {
dobin "${T}/keybase"
dobin "${T}/keybase-mount-helper"
fowners keybasehelper:keybasehelper "${EROOT}/usr/bin/keybase-mount-helper"
dobin "${S}/packaging/linux/run_keybase"
systemd_douserunit "${S}/packaging/linux/systemd/keybase.service"
}
pkg_postinst() {
elog "Run the service: keybase service"
elog "Run the client: keybase login"
elog "Restart keybase: run_keybase"
}

Binary file not shown.

@ -1,3 +1,4 @@
DIST focuswriter-1.6.10-src.tar.bz2 10202594 BLAKE2B d7b59dc2c37d87ed0d1e58358906a9fef6f14a339e12a50980d17cdbed043f604bb355edca956af61b5fcaa78f68eb35b54ef85fc08dfa00dfa747893d6c1200 SHA512 8c12481af77fa4353840f22a6aa54c5264041afc141d9746e097e42171a9f274663940fc0c5e5e2c91ef677190c682a195cb775199d4b8cc2b1ad040542e2e61
DIST focuswriter-1.6.7-src.tar.bz2 10196583 BLAKE2B 99c749271c785e69f07601575343669ed5be619e646be4ee38cc82242d353a84577842c1ff98f62b0adbbff1a733a0dce82593ac4ffa2eb61e611cea1b2657b5 SHA512 d33c66881b1065aa9812dae14a5fe2a2850ce1c50f4b38e028bcd3f5a4bb1fd489705b0272e3233f3db468b262daefbd906025126f792d04af41722cde2c7bf5
DIST focuswriter-1.6.8-src.tar.bz2 10196595 BLAKE2B 1c726b948469960e1cc35dcf592acf48693035d2792449fdc336ac4bb03029d6d9eaac77c674347ac5e7a1a7ba7cd386de0d4034e7390dd80067b9522d85a08d SHA512 d10a559448f075110d9ba7fec487b9f125a4fcdce7dc1fcd2b21b94613a7d1126baa49623273bf0f56b1b7c2ef026a30c019653ba73e39b6fa78687c862e3402
DIST focuswriter-1.6.9-src.tar.bz2 10202664 BLAKE2B 68525ca548513b9b88ca032c0f629681a592149672611891a1ddfe6a8574a233dfc7bcee64dfcae2255b3dce2cbd15907428f25a7ad27a4ebc5c535d3fb34d7b SHA512 dcebd2e1c16a9eb1d135befef58ba0a276dac8d84385d90db3a8c192f3ff05eb5b6ac11cef239c1c4b4998b396da908ad99d5c89c0eb1438d9eb654f2cc7afec

@ -0,0 +1,55 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit gnome2-utils qmake-utils xdg-utils
DESCRIPTION="A fullscreen and distraction-free word processor"
HOMEPAGE="https://gottcode.org/focuswriter/"
SRC_URI="https://gottcode.org/${PN}/${P}-src.tar.bz2"
LICENSE="LGPL-3 GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
# drop qtcore subslot when minimal Qt is 5.10
RDEPEND="
app-text/hunspell:=
dev-qt/qtcore:5=
dev-qt/qtgui:5
dev-qt/qtmultimedia:5
dev-qt/qtprintsupport:5
dev-qt/qtsingleapplication[qt5(+),X]
dev-qt/qtwidgets:5
sys-libs/zlib
"
DEPEND="${RDEPEND}
dev-qt/linguist-tools:5
dev-qt/qtconcurrent:5
virtual/pkgconfig
"
DOCS=( ChangeLog CREDITS NEWS README )
PATCHES=( "${FILESDIR}/${PN}-1.6.0-unbundle-qtsingleapplication.patch" )
src_configure() {
eqmake5 PREFIX="${EPREFIX}/usr"
}
src_install() {
emake INSTALL_ROOT="${D}" install
einstalldocs
}
pkg_postinst() {
gnome2_icon_cache_update
xdg_desktop_database_update
}
pkg_postrm() {
gnome2_icon_cache_update
xdg_desktop_database_update
}

Binary file not shown.

@ -14,7 +14,7 @@ SRC_URI="https://github.com/vslavik/${PN}/releases/download/v${PV}-oss/${P}.tar.
LICENSE="MIT"
SLOT="0"
KEYWORDS="amd64 ~hppa ~ppc ~ppc64 sparc x86"
KEYWORDS="amd64 ~hppa ppc ~ppc64 sparc x86"
IUSE=""
RDEPEND="

Binary file not shown.

@ -1,4 +1,4 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -11,7 +11,7 @@ SRC_URI="http://www.astrolog.org/ftp/ast54unx.shr"
LICENSE="astrolog"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
KEYWORDS="amd64 ~ppc ~ppc64 x86"
IUSE="X"
DEPEND="X? ( x11-libs/libX11 )"

@ -1,4 +1,4 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -12,7 +12,7 @@ SRC_URI="mirror://sourceforge/serialsniffer/${MY_PN}-${PV}.tgz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="~amd64 x86"
IUSE=""
S="${WORKDIR}/${MY_PN}"

@ -1,2 +1,3 @@
DIST pax-utils-1.1.7.tar.xz 648376 BLAKE2B 676551b2391b2ba27281d26fba61da7d0d277f3b562c9d8365ea5a6b5bfa4327bad66cf1f62cb626f8b6ec3ae693cab713683b81142dd71920f3b6300951f6d2 SHA512 cec176cf5863b15acc058cbd99639f5f456346136d0551ce5875cb66c28dd0f6e7f5077b0c06751a3a68984b5c4386c232d3db8b76aa4f4b326b0b692835fdeb
DIST pax-utils-1.2.2.tar.xz 655964 BLAKE2B 5e43b52648f1f0cc1f46616ebd9a554cf2e5909292337c84f9ee0e2eceb4879a5f16ca20700e5a16267b38ffea529814949817ea6054cd1b2ea38e267455de00 SHA512 6bafe93f3b84d4595b6adfa09b46a3dd249f309fe836d90115e9aa5fcc7da37b03f743e80719dfe6bcdb739ce6ec3843170a5513e196c348721f850e19d3e38c
DIST pax-utils-1.2.3.tar.xz 661828 BLAKE2B 4764c47b7a31e7470a454127b9db3b5b27c703a96a66973a6248529a2d858ea38adb246a270a1f343a499515f55b25613bb20c46978e2e0dddc03e5ddb9a2aa7 SHA512 efcbce49aa7e5cd433f9b3fbc8fa82f6d7b0eb80ec40aafde453d6fe96e3565e066e5020f04d71537d8d4e820147f4203c0df2dd330ebb1358a26def3dd5484c

@ -0,0 +1,56 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit eutils toolchain-funcs unpacker
DESCRIPTION="ELF utils that can check files for security relevant properties"
HOMEPAGE="https://wiki.gentoo.org/index.php?title=Project:Hardened/PaX_Utilities"
SRC_URI="mirror://gentoo/${P}.tar.xz
https://dev.gentoo.org/~slyfox/distfiles/${P}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="caps debug python seccomp"
RDEPEND="caps? ( >=sys-libs/libcap-2.24 )
python? ( dev-python/pyelftools )
seccomp? ( sys-libs/libseccomp )"
DEPEND="${RDEPEND}
caps? ( virtual/pkgconfig )
seccomp? ( virtual/pkgconfig )
app-arch/xz-utils"
_emake() {
emake \
USE_CAP=$(usex caps) \
USE_DEBUG=$(usex debug) \
USE_PYTHON=$(usex python) \
USE_SECCOMP=$(usex seccomp) \
"$@"
}
src_configure() {
# Avoid slow configure+gnulib+make if on an up-to-date Linux system
if use prefix || ! use kernel_linux || \
has_version '<sys-libs/glibc-2.10'
then
econf $(use_with caps) $(use_with debug) $(use_with python) $(use_with seccomp)
else
tc-export CC PKG_CONFIG
fi
}
src_compile() {
_emake
}
src_test() {
_emake check
}
src_install() {
_emake DESTDIR="${D}" PKGDOCDIR='$(DOCDIR)'/${PF} install
}

@ -1,5 +1,2 @@
DIST screenfetch-2.7.7.zip 41420 BLAKE2B dce0fb33c0fdac93fee4d8ca509abfbde9a4f721e7ea0203249272577b6cca3d1916e1611dbd53fffc8e31cfcd22c156954ebb9fc5852e46277c37cdbcdfa9df SHA512 b783c05fc385d176e8d4e06c647c86ceef0ec465ddaa7ceab4116dc844e6a3a4cb10a706aef62ed4c0e1893942be4761dc1962e99d45b528742372415bd17b10
DIST screenfetch-3.2.2.tar.gz 46668 BLAKE2B c6284cc287e64b77ef6a32ee173396bee59ea5cfcc3c5c17d3e967f94122e60329ef4e04690a4981a9e24e572afda0c5e4b92911a1bbeb8104a80cf7302b2c22 SHA512 f8ddfcebe69919c9163c2377de8dfb28f15c9dd59c43d73245591b2ba6c41123c6c8130b673d87e6068850fca3b277f93bbb626e228266ea0c87be5856e823da
DIST screenfetch-3.6.5.tar.gz 54153 BLAKE2B d40c736198eb373a53553ad0e394a519e6c0a87964f2f9d70ebf4ada5b4046faf460dc33bd0379f6849f558c8061d294407a6dcfba3204ef6c97a25f94b9d0d4 SHA512 291ec0d313deebe7931b739578b69f590ae32cb7a59c5ae6975b25240d9c5bd92b8957d6a53baf78aa95737642eadd37e081fae5b5ca5120da5a9d76bb980c59
DIST screenfetch-3.7.0.tar.gz 60223 BLAKE2B 5b28ec609bdc4019b4b4d13cd70ae7b5d8f31ac5ea22383926752f6e1595e1c8764bff8a65fed4a1089e149edc50126f5bd761069840f012d0b678f95ccba9d3 SHA512 9a6e89ef2cd48f12b22230c7aff356ac2ece8dc7437034a51a66f8026e5ca4a630af43511a60b21e9fc9f89af9e2493b8cfa3a06294e74c3d611ae3bb0db922d
DIST screenfetch-3.8.0.tar.gz 71970 BLAKE2B 783d14bb30f5858f2f2f8ac81c6c8bca2fa4c1e7c9225d9ba13a7ace05c365459e277bea625b680fc3e3fedd0303507a583190d866627cedcb33e042aa8fdca7 SHA512 903f42e3bfcd719c4d6b91d10e5678063e223c2baa58214c7e8dae9ea925852f9e2c07ad90148e02d87ce5f9af7b989e80e93c2f569cd579e6f4f7d5c49c62f2

@ -1,27 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=4
MY_PN="${PN/f/F}"
DESCRIPTION="A Bash Screenshot Information Tool"
HOMEPAGE="https://github.com/KittyKatt/screenFetch"
SRC_URI="https://github.com/KittyKatt/${MY_PN}/zipball/v${PV} -> ${P}.zip"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE="X"
DEPEND="app-arch/unzip"
RDEPEND="X? ( media-gfx/scrot x11-apps/xdpyinfo )"
GIT_HASH="4881270"
S="${WORKDIR}"/KittyKatt-${MY_PN}-${GIT_HASH}
src_install() {
dobin ${PN}-dev
# also known as screenfetch
dosym ${PN}-dev /usr/bin/${PN}
dodoc CHANGELOG README.mkdn TODO
}

@ -1,30 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=4
MY_PN="${PN/f/F}"
DESCRIPTION="A Bash Screenshot Information Tool"
HOMEPAGE="https://github.com/KittyKatt/screenFetch"
if [[ ${PV} == *9999* ]]; then
inherit git-2
EGIT_REPO_URI="https://github.com/KittyKatt/screenFetch"
KEYWORDS=""
else
SRC_URI="https://github.com/KittyKatt/${MY_PN}/archive/v${PV}.tar.gz -> \
${P}.tar.gz"
KEYWORDS="~amd64 ~x86"
S="${WORKDIR}/${MY_PN}-${PV}"
fi
LICENSE="GPL-3"
SLOT="0"
IUSE="X"
DEPEND=""
RDEPEND="X? ( media-gfx/scrot x11-apps/xdpyinfo )"
src_install() {
newbin ${PN}-dev ${PN}
dodoc CHANGELOG README.mkdn TODO
}

@ -1,30 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=4
MY_PN="${PN/f/F}"
DESCRIPTION="A Bash Screenshot Information Tool"
HOMEPAGE="https://github.com/KittyKatt/screenFetch"
if [[ ${PV} == *9999* ]]; then
inherit git-2
EGIT_REPO_URI="https://github.com/KittyKatt/screenFetch"
KEYWORDS=""
else
SRC_URI="https://github.com/KittyKatt/${MY_PN}/archive/v${PV}.tar.gz -> \
${P}.tar.gz"
KEYWORDS="~amd64 ~x86"
S="${WORKDIR}/${MY_PN}-${PV}"
fi
LICENSE="GPL-3"
SLOT="0"
IUSE="X"
DEPEND=""
RDEPEND="X? ( media-gfx/scrot x11-apps/xdpyinfo )"
src_install() {
newbin ${PN}-dev ${PN}
dodoc CHANGELOG README.mkdn TODO
}

@ -0,0 +1,11 @@
--- a/Makefile
+++ b/Makefile
@@ -4,7 +4,7 @@
OBJS = main.o copyall.o copy.o screen.o log.o path.o misc.o color.o
all: $(OBJS)
- $(CC) $(CFLAGS) -o vcp $(OBJS) -lcurses
+ $(CC) $(CFLAGS) $(LDFLAGS) -o vcp $(OBJS) $(shell $(PKG_CONFIG) --libs ncurses)
.c.o:
$(CC) $(CFLAGS) -c -I/usr/include/ -o $@ $<

@ -17,15 +17,13 @@ DEPEND="sys-libs/ncurses:0="
RDEPEND="${DEPEND}"
DOCS=( Changelog README INSTALL )
src_prepare() {
default
sed -i Makefile -e '/-o vcp/s|$(CFLAGS)|& $(LDFLAGS)|' || die "sed Makefile"
}
PATCHES=(
"${FILESDIR}"/${PN}-2.2-tinfo.patch
)
src_compile() {
filter-lfs-flags
emake CC="$(tc-getCC)"
emake CC="$(tc-getCC)" PKG_CONFIG="$(tc-getPKG_CONFIG)"
}
src_install() {

Binary file not shown.

@ -1 +1 @@
DIST kraft-0.80_beta10.tar.gz 671134 BLAKE2B cbfcd3c718f5a6ee3309ab0507f8528739d57f2ae6e21e7b721819133796bee19dd2074014620f577e0384a727a43e970c7d523c6e6229739e64ea697d32383d SHA512 020d4007a7fd42945f6d22cd515dcf3cf26d422a4ac5615c96f2e977b3d42cc9b259fea4e8946722b27a53b7a3f1065b49bd3ba9b7ad49b32cb24e6a793fc024
DIST kraft-0.80_beta11.tar.gz 674372 BLAKE2B f9b59640bc5c875c7cd2cc56dd02d6f66b4932533f7548dce66c305fca111653ce3ae6f7128107e926c9a2d14c79f5c105f0986c72130a4eb099af0b0fd4b25a SHA512 bdb521d9213df5f191824cfff00b91b755eb67a0ce596b2ce10bc16ef134b6d10887fde355169f88aa1b11303e23af06e6c938d76e09519d676bbd49131a99f0

Binary file not shown.

@ -1,4 +1,4 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -67,6 +67,8 @@ DEPEND="${RDEPEND}
# Tests use dogtail which is not available on Gentoo.
RESTRICT="test"
FILES=( "${FILESDIR}/${PN}-cve-2017-1000083.patch" )
src_configure() {
# Passing --disable-help would drop offline help, that would be inconsistent
# with helps of the most of GNOME apps that doesn't require network for that.

@ -1,4 +1,4 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -69,6 +69,8 @@ DEPEND="${COMMON_DEPEND}
# Tests use dogtail which is not available on Gentoo.
RESTRICT="test"
FILES=( "${FILESDIR}/${PN}-cve-2017-1000083.patch" )
src_configure() {
# Passing --disable-help would drop offline help, that would be inconsistent
# with helps of the most of GNOME apps that doesn't require network for that.

@ -1,4 +1,4 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -68,6 +68,8 @@ DEPEND="${COMMON_DEPEND}
# Tests use dogtail which is not available on Gentoo.
RESTRICT="test"
FILES=( "${FILESDIR}/${PN}-cve-2017-1000083.patch" )
src_configure() {
# Passing --disable-help would drop offline help, that would be inconsistent
# with helps of the most of GNOME apps that doesn't require network for that.

@ -0,0 +1,28 @@
From f4291fd62f7dfe6460d2406a979ccfac0c68dd59 Mon Sep 17 00:00:00 2001
From: ZenWalker <scow@riseup.net>
Date: Wed, 19 Jul 2017 11:00:09 +0200
Subject: [PATCH] comics: make the files containing "--checkpoint-action="
unsupported
Fixes #257
---
backend/comics/comics-document.c | 6 ++++++
1 file changed, 6 insertions(+)
diff --git a/backend/comics/comics-document.c b/backend/comics/comics-document.c
index 9f945c6..4d4d293 100644
--- a/backend/comics/comics-document.c
+++ b/backend/comics/comics-document.c
@@ -983,6 +983,12 @@ extract_argv (EvDocument *document, gint page)
char *command_line, *quoted_archive, *quoted_filename;
GError *err = NULL;
+ if (g_strrstr (comics_document->page_names->pdata[page], "--checkpoint-action="))
+ {
+ g_warning ("File unsupported\n");
+ gtk_main_quit ();
+ }
+
if (page >= comics_document->page_names->len)
return NULL;

@ -6,4 +6,5 @@ DIST dvisvgm-2.2.3.tar.gz 2813537 BLAKE2B 0cc2625c779d22dceef8b26c0e977086601f24
DIST dvisvgm-2.2.tar.gz 2841354 BLAKE2B 713257347b258338b8ebf408ee6affddef4a53b51621496cb64638e295a27f90ea03f6d752b692f609429f1e5220363f866e4bbff3e82de1f4a03494ded3052e SHA512 310b3272f41d3378ddfb5663d4b6906f7b1cd1dfbbcff0ad249b27c5c37290c5eb496ec84a536f3166a51de4708f6069da9c6811bb7fc9e667d00b1c3aaafd53
DIST dvisvgm-2.3.1.tar.gz 2854014 BLAKE2B 7df3090e53e5ea11338b5d439f52fad0aecb0658e048792565239fb6121ac05605dd992f9dcaefcc1cfad2c35d0194abdad66173d6c4b9199ab926bb02d93ad9 SHA512 ea105c343bc37b178afca41a20a167fac52341083881866585c12d965961cbbcd3f1580dcb5d5c8b42326c0872b2513bc9d5763942dd2631dd404097ea3b26a6
DIST dvisvgm-2.3.2.tar.gz 2805466 BLAKE2B 45f82ed650bd18d4ee17bd4ef7df778503e90955a509ce1172a131ae79c6842a478af5911b90fa9f6cd537ba7245a317ac188159bcdd9d77dcf32746f1c1781a SHA512 a4b4ed978ce940eb918b3d053dddec1eac20cf9f6abb68de24c94ea2762d473004eb64a0dfca40b4cb7d5b208c70132ad8eea617533f83e46282ee405c9c5939
DIST dvisvgm-2.3.3.tar.gz 2805568 BLAKE2B 9823d2a8d3b736dfbbfbe0e5d51fb20bf61b4a8d236cc24fadd6e8a918f8f8305dedc23f6d7146574f9302a006a50e33621d350425e1b3c65d780d1354e7b239 SHA512 1b170b5979049f30aaaa5a85d8b5555e87a7af987298980d25c77aebd95b6be56a8518986b8a6eb2215b6dbd32dfbdfdcecb0c81f9d5ffa856370da1b324ed18
DIST dvisvgm-2.3.tar.gz 2816291 BLAKE2B 3c804b49d9a5447063cd70646d0c6bdb56bf7f457aa84a4ef535341e2b5b9bea2b3dbb3209c3afebb5ebaea04300b5784b25ed244145a1afd6a8a4974326c914 SHA512 b1efc505db2c52471306eca099285c35685cf92d0f084a46daa476423d3706a2a3260584f9fdcc5722630a49b4178c9bd36d6cd8019a5b4c9f3759468e8e8313

@ -0,0 +1,42 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit toolchain-funcs flag-o-matic
DESCRIPTION="Converts DVI files to SVG"
HOMEPAGE="http://dvisvgm.bplaced.net/"
SRC_URI="https://github.com/mgieseki/dvisvgm/releases/download/${PV}/${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~ppc-macos ~x64-macos ~x86-macos"
IUSE="test"
# Tests don't work from $WORKDIR: kpathsea tries to search in relative
# directories from where the binary is executed.
# We cannot really use absolute paths in the kpathsea configuration since that
# would make it harder for prefix installs.
RESTRICT="test"
# TODO unbundle app-arch/brotli
RDEPEND="virtual/tex-base
app-text/ghostscript-gpl
dev-libs/kpathsea:=
>=media-gfx/potrace-1.10-r1
media-libs/freetype:2
dev-libs/kpathsea
sys-libs/zlib"
DEPEND="${RDEPEND}
app-text/xmlto
app-text/asciidoc
dev-libs/libxslt
virtual/pkgconfig
test? ( dev-cpp/gtest )"
src_configure() {
local myargs=(
--without-ttfautohint
)
econf "${myargs[@]}"
}

@ -12,7 +12,7 @@ SRC_URI="mirror://sourceforge/project/${PN}/${PV}/${MY_P}.tar.xz"
LICENSE="GPL-2+"
SLOT="3/0"
KEYWORDS="~alpha amd64 ~arm hppa ~ia64 ~mips ~ppc ~ppc64 sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~x86-macos ~x86-solaris"
KEYWORDS="~alpha amd64 ~arm hppa ~ia64 ~mips ppc ~ppc64 sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~x86-macos ~x86-solaris"
IUSE="+introspection vala"
REQUIRED_USE="vala? ( introspection )"

@ -1 +1,2 @@
DIST lcdf-typetools-2.106.tar.gz 643503 BLAKE2B cb016da74dfbad92808292842de653badec4dd3b703fee5e177016856a795e1383ceeed68de668846cce167b7b9c74bd7e0b17ea3a60b2f9b9caa0b73444e02d SHA512 039215132585214e6518864161885f7a06f08f8b36b002a961b1d83182e388b31eb034eaa4466ba56a2af52e1cfb202e88f004be17c22df1343f94481e3114cf
DIST lcdf-typetools-2.107.tar.gz 652445 BLAKE2B bbbc428673c8e036f8d3be8ec80dbcf8892f60976fee7f11d622af8442c4d3eda0e118d47b364f55fe0dc8b53062ece0926be1d67e6627500a787bce810c074c SHA512 be54d4346d567c640b260dc513854085901af96b82701fccb8f0feae4b373ac69962c568a648515eb9ebfcabc828359ab2d742947ccdf9422643b0d889961ff3

@ -0,0 +1,28 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
inherit toolchain-funcs flag-o-matic
DESCRIPTION="Font utilities for eg manipulating OTF"
SRC_URI="http://www.lcdf.org/type/${P}.tar.gz"
HOMEPAGE="http://www.lcdf.org/type/#typetools"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
SLOT="0"
LICENSE="GPL-2"
IUSE="+kpathsea"
RDEPEND="kpathsea? ( virtual/tex-base dev-libs/kpathsea )"
DEPEND="${RDEPEND}
virtual/pkgconfig"
src_configure() {
use kpathsea && has_version '>=dev-libs/kpathsea-6.2.1' && append-cppflags "$($(tc-getPKG_CONFIG) --cflags kpathsea)"
econf $(use_with kpathsea)
}
src_install() {
emake DESTDIR="${D}" install
dodoc NEWS.md README.md ONEWS
}

@ -11,7 +11,7 @@ SRC_URI="http://scrollkeeper.sourceforge.net/dtds/scrollkeeper-omf-1.0/${DTD_FIL
LICENSE="FDL-1.1"
SLOT="1.0"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x64-solaris ~x86-solaris"
IUSE=""
RDEPEND=">=dev-libs/libxml2-2.4.19"

Binary file not shown.

@ -1,4 +1,4 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -11,7 +11,7 @@ SRC_URI="https://github.com/puppetlabs/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="amd64 ~arm hppa ~ppc ppc64 sparc x86"
KEYWORDS="amd64 ~arm hppa ppc ppc64 sparc x86"
IUSE="debug test"
DEPEND="

@ -12,7 +12,7 @@ SRC_URI="https://github.com/luceneplusplus/LucenePlusPlus/archive/rel_${PV}.tar.
LICENSE="|| ( LGPL-3 Apache-2.0 )"
SLOT="0"
KEYWORDS="amd64 hppa ~ppc ppc64 sparc x86"
KEYWORDS="amd64 hppa ppc ppc64 sparc x86"
IUSE="debug"
DEPEND="dev-libs/boost:="

Binary file not shown.

@ -1,4 +1,4 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -11,7 +11,7 @@ SRC_URI="${HOMEPAGE}pkg/${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm64 ~hppa ~ia64 ~ppc ppc64 x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris"
KEYWORDS="~alpha amd64 ~arm64 ~hppa ~ia64 ~ppc ppc64 x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris"
IUSE="debug doc examples static-libs"
DEPEND="sys-libs/zlib[static-libs?]

@ -1,61 +0,0 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
inherit eutils webapp
MY_PV=${PV/_/-}
MY_PN="phpMyAdmin"
MY_P="${MY_PN}-${MY_PV}-all-languages"
DESCRIPTION="Web-based administration for MySQL database in PHP"
HOMEPAGE="https://www.phpmyadmin.net/"
SRC_URI="https://files.phpmyadmin.net/${MY_PN}/${MY_PV}/${MY_P}.tar.xz"
LICENSE="GPL-2"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~ppc-macos ~x64-macos ~x86-macos"
IUSE="setup"
RDEPEND="
dev-lang/php[crypt,ctype,filter,json,session,unicode]
|| (
dev-lang/php[mysqli]
dev-lang/php[mysql]
)
virtual/httpd-php:*
"
need_httpd_cgi
S="${WORKDIR}"/${MY_P}
pkg_setup() {
webapp_pkg_setup
}
src_install() {
webapp_src_preinst
dodoc README RELEASE-DATE-${MY_PV} ChangeLog || die
rm -f LICENSE README* RELEASE-DATE-${MY_PV}
if ! use setup; then
rm -rf setup || die "Cannot remove setup utility"
elog "The phpMyAdmin setup utility has been removed."
elog "It is a regular target of various exploits. If you need it, set USE=setup."
else
elog "You should consider disabling the setup USE flag"
elog "to exclude the setup utility if you don't use it."
elog "It regularly is the target of various exploits."
fi
insinto "${MY_HTDOCSDIR#${EPREFIX}}"
doins -r .
webapp_configfile "${MY_HTDOCSDIR#${EPREFIX}}"/libraries/config.default.php
webapp_serverowned "${MY_HTDOCSDIR#${EPREFIX}}"/libraries/config.default.php
webapp_postinst_txt en "${FILESDIR}"/postinstall-en-3.1.txt
webapp_src_install
}

@ -14,7 +14,7 @@ HOMEPAGE="https://www.phpmyadmin.net/"
SRC_URI="https://files.phpmyadmin.net/${MY_PN}/${MY_PV}/${MY_P}.tar.xz"
LICENSE="GPL-2"
KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~ppc-macos ~x64-macos ~x86-macos"
KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc x86 ~x86-fbsd ~ppc-macos ~x64-macos ~x86-macos"
IUSE="setup"
RDEPEND="

@ -1,4 +1,4 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
@ -11,7 +11,7 @@ SRC_URI="${HOMEPAGE}${P}.tar.gz"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="alpha amd64 arm ~arm64 hppa ppc ppc64 x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris"
KEYWORDS="alpha amd64 arm ~arm64 hppa ppc ppc64 x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris"
IUSE="bzip2 debug doc examples threads zlib"
DEPEND="bzip2? ( app-arch/bzip2 )

Binary file not shown.

@ -10,6 +10,7 @@ DIST gcc-6.3.0-patches-1.0.tar.bz2 7596 BLAKE2B e3c298bd80b83e72d6ea9b4ec777d4f2
DIST gcc-6.3.0.tar.bz2 99903185 BLAKE2B 3dc1e965afcad665d659fbb953978ef297ddbdd4d8918d36b35e977f8a2786b986f6875af2f12c599cc827b2b725d8b79ac021c9b51fb1d6d274318a59aa182c SHA512 234dd9b1bdc9a9c6e352216a7ef4ccadc6c07f156006a59759c5e0e6a69f0abcdc14630eff11e3826dd6ba5933a8faa43043f3d1d62df6bd5ab1e82862f9bf78
DIST gcc-interface-4.9-gpl-2016-src.tar.gz 339037 BLAKE2B 8218ea3a3e3ddb11febb5f2fbcfad69ec25251d3ed6bf4f9c70dc9b3720cc2fb3310d704db40bd0c749be89b17a2b3766ddae3d6158313480073856057ad4bcf SHA512 507df314d1890c228c19f458bd51197377deaaa2d6082fe1e71b62b683252ee5fba4adfe2386246e14618b1c77288e0dcb5bf501e2daaca249b6299462c2f6bd
DIST gcc-interface-6-gpl-2017-src.tar.gz 347016 BLAKE2B 934c6dac491abece9a6868d28fe9d2a6a1109238fe25c9b94abe83dfc22a1085489f0e0384626da0a3abeebe7537c5715df49a7e2d40577c96eb7ac897b84fd8 SHA512 5833303fce5bf812ccbc71f3d3726c0cb877937d75327edb15097c0b7dba58024a52688392906695ab92fb4e5d7a6623671eac9a05d17937dc0270bafcde920a
DIST gnat-gpl-2014-x86-linux-bin.tar.gz 233049287 BLAKE2B 2e8bab113f6a319533ec12fdf71c481f72aee227c22bd0cc42a53bd727b323caba1e7b6298053db8b4d3016236b31649b0b255f4ebcbb81a08a69f29f78f13fc SHA512 ac7f53fb4bd71b0e8fbd62abc45de76f7f8f2f405b80e9b60b4b65a6cef6ee98e3b06848e4b752af3c8268237e5a0529cf6145ebc5b33cd6e5cf4928d85f5be2
DIST gnat-gpl-2014-x86_64-linux-bin.tar.gz 236253400 BLAKE2B c1db70db9442ba24688b8e323d5a02e2e9707ba1f02835ea551038d0a09aafede93a224091e5186f2f2a9d0f96144027af2184ee05ca1c19cc997a6cf3902df7 SHA512 5e40a251baac3d0ace78352956ca21a7d294d902d344a9ed7a8d376e900468c283721ebfb773adfedbf4d623ace02536505c0147815a0c1908933ad611ea085e
DIST gnat-gpl-2016-src.tar.gz 8857249 BLAKE2B 3ff0fe247990e2a612ac989aa389e9ccae2e29c16177975c327b53ae1471030d0a70e5a2e3af219ad9a3288c241f2d18da349d0650f7fde01d439f4e4720de88 SHA512 4a5cb58ede5b4ae2887e64f0f2e12e0e06470d320796f06d02f7ddd932ff0d3b40e6d3e98a81138fff6906548a55153c2a186ff4a6e3d23b9dbe01ca582da1f8
DIST gnat-gpl-2017-src.tar.gz 8783473 BLAKE2B b0415b42f4d3a5e8675591a5602ff0a96945670104064671a232c0c12271ee141a3a5d148b8507bdab83cb8a0677c57b78e690060088308c51732bad3715964f SHA512 ae7314a2241107ed4d962dce08306eeb34c5f11e26183935bbb1ccf3a5eb011d6457c1b6fcded93dd0ee9ba31d791971ebe2a5a5a0ae04ff80d87a670325a098

@ -1,4 +1,4 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
@ -25,6 +25,8 @@ inherit eutils toolchain-funcs toolchain
REL=4.9
MYP=gcc-${REL}-gpl-${PV}-src
BTSTRP_X86=gnat-gpl-2014-x86-linux-bin
BTSTRP_AMD64=gnat-gpl-2014-x86_64-linux-bin
DESCRIPTION="GNAT Ada Compiler - GPL version"
HOMEPAGE="http://libre.adacore.com/"
@ -35,12 +37,20 @@ SRC_URI+="
-> ${MYP}.tar.gz
http://mirrors.cdn.adacore.com/art/57399232c7a447658e0aff7d
-> gcc-interface-${REL}-gpl-${PV}-src.tar.gz
bootstrap? ( http://mirrors.cdn.adacore.com/art/564b3ebec8e196b040fbe66c ->
gnat-gpl-2014-x86_64-linux-bin.tar.gz )"
bootstrap? (
amd64? (
http://mirrors.cdn.adacore.com/art/564b3ebec8e196b040fbe66c ->
${BTSTRP_AMD64}.tar.gz
)
x86? (
http://mirrors.cdn.adacore.com/art/564b3e9dc8e196b040fbe248 ->
${BTSTRP_X86}.tar.gz
)
)"
LICENSE+=" GPL-2 GPL-3"
SLOT="${TOOLCHAIN_GCC_PV}"
KEYWORDS="amd64"
KEYWORDS="amd64 ~x86"
IUSE="bootstrap"
RDEPEND="!sys-devel/gcc:${TOOLCHAIN_GCC_PV}"
@ -57,8 +67,13 @@ FSFGCC=gcc-${TOOLCHAIN_GCC_PV}
pkg_setup() {
toolchain_pkg_setup
if use amd64; then
BTSTRP=${BTSTRP_AMD64}
else
BTSTRP=${BTSTRP_X86}
fi
if use bootstrap; then
GCC="${WORKDIR}"/gnat-gpl-2014-x86_64-linux-bin/bin/gcc
GCC="${WORKDIR}"/${BTSTRP}/bin/gcc
else
GCC=${ADA:-$(tc-getCC)}
fi
@ -87,17 +102,17 @@ src_unpack() {
${FSFGCC}.tar.bz2
gcc-interface-${REL}-gpl-${PV}-src.tar.gz"
if use bootstrap; then
GCC_A_FAKEIT="${GCC_A_FAKEIT} gnat-gpl-2014-x86_64-linux-bin.tar.gz"
GCC_A_FAKEIT="${GCC_A_FAKEIT} ${BTSTRP}.tar.gz"
fi
toolchain_src_unpack
if use bootstrap; then
rm gnat-gpl-2014-x86_64-linux-bin/libexec/gcc/x86_64-pc-linux-gnu/4.7.4/ld || die
rm ${BTSTRP}/libexec/gcc/${CHOST}/4.7.4/ld || die
fi
}
src_prepare() {
mv ../gnat-gpl-${PV}-src/src/ada gcc/ || die
mv ../${P}-src/src/ada gcc/ || die
mv ../gcc-interface-${REL}-gpl-${PV}-src gcc/ada/gcc-interface || die
sed -i \
@ -152,7 +167,7 @@ src_compile() {
toolchain_src_compile
gcc_do_make "-C gcc gnatlib-shared"
ln -s gcc ../build/prev-gcc || die
ln -s x86_64-pc-linux-gnu ../build/prev-x86_64-pc-linux-gnu || die
ln -s ${CHOST} ../build/prev-${CHOST} || die
gcc_do_make "-C gcc gnattools"
}
@ -190,7 +205,7 @@ src_install() {
pkg_postinst () {
toolchain_pkg_postinst
einfo "This provide the GNAT compiler with gcc for ada/c/c++ and more"
einfo "Set the ADA variables to gcc-${TOOLCHAIN_GCC_PV} in your make.conf"
einfo "The compiler binary is gcc-${TOOLCHAIN_GCC_PV}"
einfo "Even if the c/c++ compilers are using almost the same patched"
einfo "source as the sys-devel/gcc package its use is not extensively"
einfo "tested, and not supported for updating your system, except for ada"

@ -1,4 +1,4 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -11,7 +11,7 @@ SRC_URI="http://www.nasm.us/pub/nasm/releasebuilds/${PV/_}/${P/_}.tar.xz"
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~x64-cygwin ~amd64-fbsd ~amd64-linux ~x86-linux ~x64-macos"
KEYWORDS="~amd64 x86 ~x64-cygwin ~amd64-fbsd ~amd64-linux ~x86-linux ~x64-macos"
IUSE="doc"
DEPEND="

Binary file not shown.

@ -1,2 +1 @@
DIST flatbuffers-1.7.1.tar.gz 475449 BLAKE2B eb5030cb899e579d7e875cb934c691af2711628c91f398407babb92c9c0e68aaf399d9c15d3ae0a229516fb438eb3332ded576c3ffb07a906a063b80d4dcf1fc SHA512 57732fc352c216c4be6d3237f93b872abf9dd2b62361d7d2856f99804a178760e4665ead2e33d5acdd00984ad03a746f581c9784ece583e1b2df1a10776f967a
DIST flatbuffers-1.8.0.tar.gz 616362 BLAKE2B 545b568fbc1671005c351ba255f9dc2b5f97b618eae13bc74b717d1e08875e465a0afd3965b35ec8243c1dc80223fdab7f15abbfb4196a129700e4a1532a8965 SHA512 8f6c84caa6456418fc751ea9de456dd37378b3239d1a41d2205140e7b19a5b8b2e342a22dc8d7fdd0c36878455e9d7401cc6438d3b771f7875e8fcfe7bbd52f1

@ -1,33 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit cmake-utils flag-o-matic
DESCRIPTION="Memory efficient serialization library"
HOMEPAGE="https://google.github.io/flatbuffers/"
SRC_URI="https://github.com/google/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"
IUSE="static-libs test"
src_prepare() {
sed -i -e "s/DESTINATION lib/DESTINATION $(get_libdir)/" CMakeLists.txt || die
cmake-utils_src_prepare
}
src_configure() {
append-cppflags -std=c++11
local mycmakeargs=(
-DFLATBUFFERS_BUILD_FLATLIB=$(usex static-libs)
-DFLATBUFFERS_BUILD_SHAREDLIB=ON
-DFLATBUFFERS_BUILD_TESTS=$(usex test)
)
cmake-utils_src_configure
}

@ -1,27 +0,0 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit cmake-utils flag-o-matic
DESCRIPTION="Memory efficient serialization library"
HOMEPAGE="https://google.github.io/flatbuffers/"
SRC_URI="https://github.com/google/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"
IUSE="static-libs test"
src_configure() {
append-cppflags -std=c++11
local mycmakeargs=(
-DFLATBUFFERS_BUILD_FLATLIB=$(usex static-libs)
-DFLATBUFFERS_BUILD_SHAREDLIB=ON
-DFLATBUFFERS_BUILD_TESTS=$(usex test)
)
cmake-utils_src_configure
}

@ -1,3 +1,4 @@
DIST klibc-2.0.4.tar.xz 469348 BLAKE2B 5975e3d25f72b70c4cbaa56ea5363417407e8dace1e02e2da0b835bbb2cad56648b0084e5404528206ef3facf4ffd3611e8bd729eadd80b00e30d1a70b3057cf SHA512 7a01d1744b49f3de64111fefc522b1d63f054199acf671254bc046d6f1d0b6ca68e050c99025bf8303751c2466a5e034677555649ae5909c40997858d393db8d
DIST klibc_2.0.4-9.debian.tar.xz 28628 BLAKE2B aaad6fafb7372152987eebda5951b9f3de2e33da583e0ea7597f666461977f461303566f9e363e9c96994c7b0eb6213c6a17b2fab72df7460db3cfbc0c2e1cf8 SHA512 0fe9a6642be962fa631919850d7eeed5a87c10682766ee10fe31dec2b19a6179e0067602acb26bdc2aa8ceecfd39b1dc95a76f3b0a9bc813b172c0ffe9f0ff53
DIST linux-4.14.tar.xz 100770500 BLAKE2B 85dc4aa953fe65e273a24473d8de98e4f204f97c43be9fc87cf5be01f796f94cfde5c8f9c84619751f1cac51f83ce0b4681fb19c5f2965a72d4a94fe5577846a SHA512 77e43a02d766c3d73b7e25c4aafb2e931d6b16e870510c22cef0cdb05c3acb7952b8908ebad12b10ef982c6efbe286364b1544586e715cf38390e483927904d8
DIST linux-4.4.tar.xz 87295988 BLAKE2B f260f1858994f5d481fd078c86e51bddbc958f7c5d1586f60dced772e1b1107ecf3aae0558c3e6f39c36f7d3aa1e6cd1e5c64ec9d6f2218f47b98413da6466fb SHA512 13c8459933a8b80608e226a1398e3d1848352ace84bcfb7e6a4a33cb230bbe1ab719d4b58e067283df91ce5311be6d2d595fc8c19e2ae6ecc652499415614b3e

@ -0,0 +1,318 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# Robin H. Johnson <robbat2@gentoo.org>, 12 Nov 2007:
# This still needs major work.
# But it is significently better than the previous version.
# In that it will now build on biarch systems, such as ppc64-32ul.
# NOTES:
# ======
# We need to bring in the kernel sources seperately
# Because they have to be configured in a way that differs from the copy in
# /usr/src/. The sys-kernel/linux-headers are too stripped down to use
# unfortunately.
# This will be able to go away once the klibc author updates his code
# to build again the headers provided by the kernel's 'headers_install' target.
EAPI=6
K_TARBALL_SUFFIX="xz"
inherit eutils toolchain-funcs flag-o-matic
DESCRIPTION="A minimal libc subset for use with initramfs"
HOMEPAGE="http://www.zytor.com/mailman/listinfo/klibc/ https://www.kernel.org/pub/linux/libs/klibc/"
KV_MAJOR="4" KV_MINOR="x" KV_SUB="14"
PKV_EXTRA=""
if [[ ${PKV_EXTRA} ]]; then
if [[ ${KV_MAJOR} == 2 ]]; then
PKV="${KV_MAJOR}.${KV_MINOR}.$((${KV_SUB}+1))-${PKV_EXTRA}"
else
PKV="${KV_MAJOR}.$((${KV_SUB}+1))-${PKV_EXTRA}"
fi
PATCH_URI="mirror://kernel/linux/kernel/v${KV_MAJOR}.${KV_MINOR}/patch-${PKV}.${K_TARBALL_SUFFIX}"
fi
if [[ ${KV_MAJOR} == 2 ]]; then
OKV="${KV_MAJOR}.${KV_MINOR}.${KV_SUB}"
else
OKV="${KV_MAJOR}.${KV_SUB}"
fi
KERNEL_URI="
mirror://kernel/linux/kernel/v${KV_MAJOR}.${KV_MINOR}/linux-${OKV}.tar.${K_TARBALL_SUFFIX}
mirror://kernel/linux/kernel/v${KV_MAJOR}.${KV_MINOR}/testing/linux-${OKV}.tar.${K_TARBALL_SUFFIX}"
DEBIAN_PV=2.0.4
DEBIAN_PR=9
DEBIAN_A="${PN}_${DEBIAN_PV}-${DEBIAN_PR}.debian.tar.xz"
SRC_URI="
mirror://kernel/linux/libs/klibc/${PV:0:3}/${P}.tar.${K_TARBALL_SUFFIX}
mirror://debian/pool/main/k/klibc/${DEBIAN_A}
${PATCH_URI}
${KERNEL_URI}"
LICENSE="|| ( GPL-2 LGPL-2 )"
KEYWORDS="~alpha ~amd64 ~arm ~ia64 -mips ~ppc ~ppc64 ~sparc ~x86"
SLOT="0"
IUSE="debug test custom-cflags"
RDEPEND="dev-lang/perl"
DEPEND="${RDEPEND}
sys-devel/bc"
KS="${WORKDIR}/linux-${OKV}"
# Klibc has no PT_GNU_STACK support, so scanning for execstacks is moot
QA_EXECSTACK="*"
# Do not strip
RESTRICT="strip"
kernel_asm_arch() {
a="${1:${ARCH}}"
case ${a} in
# Merged arches
x86) echo i386 ;; # for build on x86 userspace & 64bit kernel
amd64) echo x86 ;;
ppc*) echo powerpc ;;
# Non-merged
alpha|arm|arm64|ia64|m68k|mips|sh|sparc*) echo ${1} ;;
*) die "TODO: Update the code for your asm-ARCH symlink" ;;
esac
}
# For a given Gentoo ARCH,
# specify the kernel defconfig most relevant
kernel_defconfig() {
a="${1:${ARCH}}"
# most, but not all arches have a sanely named defconfig
case ${a} in
ppc64) echo ppc64_defconfig ;;
ppc) echo pmac32_defconfig ;;
sh*) die "TODO: Your arch is not supported by the klibc ebuild. Please suggest a defconfig in a bug." ;;
*) echo defconfig ;;
esac
}
src_unpack() {
unpack linux-${OKV}.tar.${K_TARBALL_SUFFIX} ${P}.tar.${K_TARBALL_SUFFIX} ${DEBIAN_A}
}
PATCHES=(
# Build interp.o with EXTRA_KLIBCAFLAGS (.S source)
"${FILESDIR}"/${PN}-1.4.11-interp-flags.patch
# Fix usage of -s, bug #201006
"${FILESDIR}"/klibc-1.5.7-strip-fix-dash-s.patch
# The inline definition from sys/stat.h does not seem to get used
# So just copy it to make this compile for now
"${FILESDIR}"/klibc-2.0.2-mkfifo.patch
# Newer kernels have some headers in the uapi dir
"${FILESDIR}"/klibc-2.0.3-kernel-uapi.patch
)
src_prepare() {
[[ ${PKV} ]] && eapply "${DISTDIR}"/patch-${PKV}.${K_TARBALL_SUFFIX}
# Symlink /usr/src/linux to ${S}/linux
ln -snf "${KS}" linux
#ln -snf "/usr" linux
# Borrow the debian fixes too
for p in $(<"${WORKDIR}"/debian/patches/series) ; do
PATCHES+=( "${WORKDIR}/debian/patches/${p}" )
done
default
}
# klibc has it's own ideas of arches
# They reflect userspace strictly.
# This functions maps from a Gentoo ARCH, to an arch that klibc expects
# Look at klibc-${S}/usr/klibc/arch for a list of these arches
klibc_arch() {
a="${1:${ARCH}}"
case ${a} in
amd64) echo x86_64;;
mips) die 'TODO: Use the $ABI' ;;
x86) echo i386;;
*) echo ${a} ;;
esac
}
src_compile() {
local myargs="all"
local myARCH="${ARCH}" myABI="${ABI}"
# TODO: For cross-compiling
# You should set ARCH and ABI here
CC="$(tc-getCC)"
LD="$(tc-getLD)"
HOSTCC="$(tc-getBUILD_CC)"
HOSTLD="$(tc-getBUILD_LD)"
KLIBCARCH="$(klibc_arch ${ARCH})"
KLIBCASMARCH="$(kernel_asm_arch ${ARCH})"
libdir="$(get_libdir)"
# This should be the defconfig corresponding to your userspace!
# NOT your kernel. PPC64-32ul would choose 'ppc' for example.
defconfig=$(kernel_defconfig ${ARCH})
unset ABI ARCH # Unset these, because they interfere
unset KBUILD_OUTPUT # we are using a private copy
cd "${KS}"
emake ${defconfig} CC="${CC}" HOSTCC="${HOSTCC}" ARCH="${KLIBCASMARCH}" || die "No defconfig"
if [[ "${KLIBCARCH/arm}" != "${KLIBCARCH}" ]] && \
[[ "${CHOST/eabi}" != "${CHOST}" ]]; then
# The delete and insert are seperate statements
# so that they are reliably used.
sed -i \
-e '/CONFIG_AEABI/d' \
-e '1iCONFIG_AEABI=y' \
-e '/CONFIG_OABI_COMPAT/d' \
-e '1iCONFIG_OABI_COMPAT=y' \
-e '1iCONFIG_ARM_UNWIND=y' \
"${KS}"/.config \
"${S}"/defconfig
fi
emake prepare CC="${CC}" HOSTCC="${HOSTCC}" ARCH="${KLIBCASMARCH}" || die "Failed to prepare kernel sources for header usage"
cd "${S}"
use debug && myargs="${myargs} V=1"
use test && myargs="${myargs} test"
append-ldflags -z noexecstack
append-flags -nostdlib
emake \
EXTRA_KLIBCAFLAGS="-Wa,--noexecstack" \
EXTRA_KLIBCLDFLAGS="-z noexecstack" \
HOSTLDFLAGS="-z noexecstack" \
KLIBCOPTFLAGS='-nostdlib' \
HOSTCC="${HOSTCC}" CC="${CC}" \
HOSTLD="${HOSTLD}" LD="${LD}" \
INSTALLDIR="/usr/${libdir}/klibc" \
KLIBCARCH=${KLIBCARCH} \
KLIBCASMARCH=${KLIBCASMARCH} \
SHLIBDIR="/${libdir}" \
libdir="/usr/${libdir}" \
mandir="/usr/share/man" \
T="${T}" \
$(use custom-cflags || echo SKIP_)HOSTCFLAGS="${CFLAGS}" \
$(use custom-cflags || echo SKIP_)HOSTLDFLAGS="${LDFLAGS}" \
$(use custom-cflags || echo SKIP_)KLIBCOPTFLAGS="${CFLAGS}" \
${myargs} || die "Compile failed!"
#SHLIBDIR="/${libdir}" \
ARCH="${myARCH}" ABI="${myABI}"
}
src_install() {
local myargs
local myARCH="${ARCH}" myABI="${ABI}"
# TODO: For cross-compiling
# You should set ARCH and ABI here
CC="$(tc-getCC)"
HOSTCC="$(tc-getBUILD_CC)"
KLIBCARCH="$(klibc_arch ${ARCH})"
KLIBCASMARCH="$(kernel_asm_arch ${ARCH})"
libdir="$(get_libdir)"
# This should be the defconfig corresponding to your userspace!
# NOT your kernel. PPC64-32ul would choose 'ppc' for example.
defconfig=$(kernel_defconfig ${ARCH})
use debug && myargs="${myargs} V=1"
local klibc_prefix
if tc-is-cross-compiler ; then
klibc_prefix=$("${S}/klcc/${KLIBCARCH}-klcc" -print-klibc-prefix)
else
klibc_prefix=$("${S}/klcc/klcc" -print-klibc-prefix)
fi
unset ABI ARCH # Unset these, because they interfere
unset KBUILD_OUTPUT # we are using a private copy
emake \
EXTRA_KLIBCAFLAGS="-Wa,--noexecstack" \
EXTRA_KLIBCLDFLAGS="-z noexecstack" \
HOSTLDFLAGS="-z noexecstack" \
KLIBCOPTFLAGS='-nostdlib' \
HOSTCC="${HOSTCC}" CC="${CC}" \
HOSTLD="${HOSTLD}" LD="${LD}" \
INSTALLDIR="/usr/${libdir}/klibc" \
INSTALLROOT="${D}" \
KLIBCARCH=${KLIBCARCH} \
KLIBCASMARCH=${KLIBCASMARCH} \
SHLIBDIR="/${libdir}" \
libdir="/usr/${libdir}" \
mandir="/usr/share/man" \
T="${T}" \
$(use custom-cflags || echo SKIP_)HOSTCFLAGS="${CFLAGS}" \
$(use custom-cflags || echo SKIP_)HOSTLDFLAGS="${LDFLAGS}" \
$(use custom-cflags || echo SKIP_)KLIBCOPTFLAGS="${CFLAGS}" \
${myargs} \
install || die "Install failed!"
#SHLIBDIR="/${libdir}" \
# klibc doesn't support prelinking, so we need to mask it
cat > "${T}/70klibc" <<-EOF
PRELINK_PATH_MASK="/usr/${libdir}/klibc"
EOF
doenvd "${T}"/70klibc
# Fix the permissions (bug #178053) on /usr/${libdir}/klibc/include
# Actually I have no idea, why the includes have those weird-ass permissions
# on a particular system, might be due to inherited permissions from parent
# directory
# NOTE: This totally violates sandbox <asturm@gentoo.org>
# find "${D}"/usr/${libdir}/klibc/include | xargs chmod o+rX
find "${D}"/usr/${libdir}/klibc/include -type f \
\( -name '.install' -o -name '..install.cmd' \) -delete || die
# Hardlinks becoming copies
for x in gunzip zcat ; do
rm -f "${D}/${klibc_prefix}/bin/${x}"
dosym gzip "${klibc_prefix}/bin/${x}"
done
# Restore now, so we can use the tc- functions
ARCH="${myARCH}" ABI="${myABI}"
if ! tc-is-cross-compiler ; then
cd "${S}"
insinto /usr/share/aclocal
doins contrib/klibc.m4
dodoc README usr/klibc/CAVEATS
docinto gzip; dodoc usr/gzip/README
fi
# Fix up the symlink
# Mainly for merged arches
linkname="${D}/usr/${libdir}/klibc/include/asm"
if [ -L "${linkname}" ] && [ ! -e "${linkname}" ] ; then
ln -snf asm-${KLIBCASMARCH} "${linkname}"
fi
}
src_test() {
if ! tc-is-cross-compiler ; then
cd "${S}"/usr/klibc/tests
ALL_TESTS="$(ls *.c |sed 's,\.c$,,g')"
BROKEN_TESTS="fcntl fnmatch testrand48"
failed=0
for t in $ALL_TESTS ; do
if has $t $BROKEN_TESTS ; then
echo "=== $t SKIP"
else
echo -n "=== $t "
./$t </dev/null >/dev/null
rc=$?
if [ $rc -eq 0 ]; then
echo PASS
else
echo FAIL
failed=1
fi
fi
done
[ $failed -ne 0 ] && die "Some tests failed."
fi
}

@ -11,7 +11,7 @@ SRC_URI="https://dl.matroska.org/downloads/${PN}/${P}.tar.xz"
LICENSE="LGPL-2.1"
SLOT="0/4" # subslot = soname major version
KEYWORDS="alpha amd64 ~arm ~arm64 ~hppa ia64 ~ppc ~ppc64 sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos"
KEYWORDS="alpha amd64 ~arm ~arm64 ~hppa ia64 ppc ~ppc64 sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos"
IUSE="debug static-libs"
src_prepare() {

@ -11,7 +11,7 @@ SRC_URI="http://download.libsodium.org/${PN}/releases/${P}.tar.gz"
LICENSE="ISC"
SLOT="0/23"
KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 ~sparc x86 ~amd64-linux ~x86-linux"
KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 sparc x86 ~amd64-linux ~x86-linux"
IUSE="+asm minimal static-libs +urandom cpu_flags_x86_sse4_1 cpu_flags_x86_aes"
PATCHES=( "${FILESDIR}"/${PN}-1.0.10-cpuflags.patch )

@ -11,7 +11,7 @@ SRC_URI="https://github.com/google/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD"
SLOT="0/15"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh sparc x86 ~amd64-linux ~arm-linux ~x86-linux ~x64-macos ~x86-macos"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ia64 ~mips ~ppc ~ppc64 ~sh sparc x86 ~amd64-linux ~arm-linux ~x86-linux ~x64-macos ~x86-macos"
IUSE="emacs examples static-libs test zlib"
RDEPEND="emacs? ( virtual/emacs )

@ -1,4 +1,4 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -11,7 +11,7 @@ inherit perl-module
DESCRIPTION="Simple Common Gateway Interface Class"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="test"
RDEPEND="

@ -1,4 +1,4 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -9,7 +9,7 @@ inherit perl-module
DESCRIPTION="Accelerate Cookie::Baker's crush_cookie"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="~alpha amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
IUSE="test"
RDEPEND="

@ -1,4 +1,4 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Cookie string generator / parser"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="~alpha amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
IUSE="test +xs"
RDEPEND="

@ -16,7 +16,7 @@ SRC_URI="${SRC_URI}
https://dev.gentoo.org/~kentnl/distfiles/${PN}-${PATCH_TAG}.tar.xz
"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ia64 ~mips ~ppc ~ppc64 ~s390 ~sh sparc x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 ~arm ~arm64 hppa ia64 ~mips ~ppc ~ppc64 ~s390 ~sh sparc x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
IUSE="test system-sqlite"
# NB: Get min sqlite version from sqlite3.c

@ -1,4 +1,4 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -11,7 +11,7 @@ inherit perl-module
DESCRIPTION="An exporter with the features of Sub::Exporter but only core dependencies"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
IUSE="test"
RDEPEND=""

@ -1,4 +1,4 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="PSGI compliant HTTP Entity Parser"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="~alpha amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
IUSE="test +xs"
RDEPEND="

@ -1,4 +1,4 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Low Level MultiPart MIME HTTP parser"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="~alpha amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
IUSE="test"
RDEPEND="

@ -1,4 +1,4 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Work with IO sockets in ipv6"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x64-cygwin ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
IUSE=""
RDEPEND="dev-perl/Socket6"

@ -1,4 +1,4 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -11,7 +11,7 @@ DESCRIPTION="Provide https support for LWP::UserAgent"
SLOT="0"
IUSE="test"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
RDEPEND="
app-misc/ca-certificates

Binary file not shown.

@ -1,4 +1,4 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Low-level HTTP connection (client)"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="minimal test"
RDEPEND="

@ -1,4 +1,4 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -12,7 +12,7 @@ DESCRIPTION="Object-oriented interface to Ogg Vorbis information and comment fie
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
KEYWORDS="amd64 ppc ~ppc64 x86 ~amd64-linux ~x86-linux ~x86-solaris"
IUSE=""
PATCHES=(

@ -1,4 +1,4 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="play with other peoples' lexical variables"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ppc ~ppc64 ~sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
IUSE=""
DEPEND="virtual/perl-ExtUtils-MakeMaker"

@ -1,4 +1,4 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -10,7 +10,7 @@ inherit perl-module elisp-common
DESCRIPTION="Critique Perl source code for best-practices"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris"
KEYWORDS="~alpha amd64 ppc ~ppc64 x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris"
IUSE="test minimal examples emacs"
SITEFILE="50${PN}-gentoo.el"
RDEPEND="

@ -1,4 +1,4 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -11,7 +11,7 @@ inherit perl-module
DESCRIPTION="Perl Superglue for Web frameworks and Web Servers (PSGI toolkit)"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="~alpha amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
IUSE="test minimal examples"
PATCHES=(
"${FILESDIR}/${PN}-1.3.900-network-testing.patch"

@ -11,7 +11,7 @@ DESCRIPTION="set of objects and strings"
LICENSE="Artistic-2"
SLOT="0"
KEYWORDS="~amd64 ~hppa ~ppc ~x86"
KEYWORDS="amd64 ~hppa ~ppc x86"
IUSE="test"
RDEPEND="

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Software Release Tool"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
KEYWORDS="amd64 ppc x86"
IUSE=""
PATCHES=( "${FILESDIR}/${PN}-0.60-version-test.patch" )

@ -11,7 +11,7 @@ DESCRIPTION="IPv6 related part of the C socket.h defines and structure manipulat
LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x64-cygwin ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
IUSE=""
src_unpack() {

@ -1,4 +1,4 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -9,7 +9,7 @@ inherit perl-module
DESCRIPTION="Replace actual time with simulated high resolution time"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="~alpha amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
IUSE="test"
RDEPEND="

@ -1,4 +1,4 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -9,7 +9,7 @@ inherit perl-module
DESCRIPTION="XS parsing/building of application/x-www-form-urlencoded"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="~alpha amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
IUSE="test"
RDEPEND="

@ -1,4 +1,4 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="parser and builder for application/x-www-form-urlencoded"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="~alpha amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
IUSE="test +xs"
RDEPEND="

Binary file not shown.

@ -1,3 +1,2 @@
DIST aodhclient-0.6.0.tar.gz 40827 BLAKE2B 606ecf8cece68ab3b10fd410b15af8af7324fef7a54ebda8427b9d6ff583de2e3953762b7445e8478f522c3d2538092241f2c8c07947c9c7964f7ae1e08dc49f SHA512 daa3f568cc2c59a010024beecf2917bf7e3ee64a0a18851e19c92dba159fcd2f36e64dd418ac4a36ee93b0a06c8c00b1f222aebfa915e9bddeaca074a12568bc
DIST aodhclient-0.7.0.tar.gz 42096 BLAKE2B 0f500fe869955a4de311033e7c4217e050f37ee6075e6d31fbc3cdc60d59432ee5f1471f4e5dcdb9036611f842dc2001f5e549c7b54e2fcd6bbed1b56cef68a3 SHA512 96c454e7ada9b8032f74f928dbb868c23a8a1d358b86d804f190eedeab78af041dd0fa673924da3b51785ef670634787cee91aec308381a2797125650cf79087
DIST aodhclient-0.8.0.tar.gz 41676 BLAKE2B e9399f6f5adc2962b28b375db010b699fcfb4358daec375a6588f38f1600e557c73adde558d0ab88b14686f295d6dbbc2446e71de127d695ff2afcdcae99000f SHA512 8cb6ccd3fee3e2abecd5f9eb1b00c67ec4476f85498a9b23f4818c80e787d5373899eb90217e03b5baa376dcdf3c5aed9da8f369a0d6e562c3d97fd22b5b8850
DIST aodhclient-1.0.0.tar.gz 40704 BLAKE2B bb097a62bf52f77df013ddc9301bd357bfbbff9a084b9a83ec5658512abfff811316ee9f39c227a74b2d2d139c1b21a402acd8d8cd8ba948d307d5e73b26fb93 SHA512 61bc58aad95e5781a8ed4f5cf7687d3cbb4f893513f8abacc7a93cd9774aed0ad02565a8e26718cf9dcb1c095d6b8bdd4719f78855b6af9629f1a04a6ecc0f59

@ -1,37 +0,0 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python2_7 python3_4 python3_5 )
inherit distutils-r1
DESCRIPTION="A client for the OpenStack Aodh API"
HOMEPAGE="https://github.com/openstack/python-aodhclient"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="amd64 ~arm64 x86 ~amd64-linux ~x86-linux"
CDEPEND=">=dev-python/pbr-1.6[${PYTHON_USEDEP}]"
DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
${CDEPEND}"
RDEPEND="
${CDEPEND}
>=dev-python/cliff-1.14.0[${PYTHON_USEDEP}]
!~dev-python/cliff-1.16.0[${PYTHON_USEDEP}]
>=dev-python/osc-lib-1.0.1[${PYTHON_USEDEP}]
>=dev-python/oslo-i18n-2.1.0[${PYTHON_USEDEP}]
>=dev-python/oslo-serialization-1.10.0[${PYTHON_USEDEP}]
>=dev-python/oslo-utils-3.16.0[${PYTHON_USEDEP}]
>=dev-python/keystoneauth-2.10.0[${PYTHON_USEDEP}]
>=dev-python/six-1.9.0[${PYTHON_USEDEP}]
>=dev-python/debtcollector-1.3.0[${PYTHON_USEDEP}]
"
python_prepare_all() {
# built in...
sed -i '/^hacking/d' test-requirements.txt || die
distutils-r1_python_prepare_all
}

@ -1,4 +1,4 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -12,9 +12,9 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="amd64 ~arm64 x86 ~amd64-linux ~x86-linux"
KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
CDEPEND=">=dev-python/pbr-1.6[${PYTHON_USEDEP}]"
CDEPEND=">=dev-python/pbr-1.8[${PYTHON_USEDEP}]"
DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
${CDEPEND}"
RDEPEND="
@ -27,11 +27,5 @@ RDEPEND="
>=dev-python/oslo-utils-3.16.0[${PYTHON_USEDEP}]
>=dev-python/keystoneauth-2.10.0[${PYTHON_USEDEP}]
>=dev-python/six-1.9.0[${PYTHON_USEDEP}]
>=dev-python/debtcollector-1.3.0[${PYTHON_USEDEP}]
dev-python/pyparsing[${PYTHON_USEDEP}]
"
python_prepare_all() {
# built in...
sed -i '/^hacking/d' test-requirements.txt || die
distutils-r1_python_prepare_all
}

@ -1,3 +1,4 @@
DIST attrs-16.3.0.tar.gz 57512 BLAKE2B e00c825034b21cb4d5a9eb9ca3ffb92193b8d793ebaeb8cb5e69b07c326738da4efd98ebc6e79903017276b6b501c56a8e0b37f6b0d13d8461b8ea4e5cb72b08 SHA512 1a91e6f27ecaf20c409c3abf88ffed5c6cfdbba8cff44637399b713271ff838a054f5859dd29440b2780d81b40673033e3f8e43dd491bece72e0a4f08c4ef688
DIST attrs-17.2.0.tar.gz 73733 BLAKE2B 898f219ff73b73200b590f8e8011fd605d68fa68b94f1b59ae6dacdc6ef5185e4858702ac0e816bed33a07450676cfe1bc6040e0918f94adb04fc3552882efbf SHA512 02243e59ff417deddb330e841d42c0f43d3bea4435f114d3a9a8f4c3bd424c2ef565c630d179db7b3687d22091bf6e619de661171248c0ff0a0e5ec5f9bf7e21
DIST attrs-17.3.0.tar.gz 89046 BLAKE2B 32ac348b57a5ce5b69e099c3f13e11af51a95a797bfc21eecdb8eca9e9785e5e205c5f0778d59c268f4f1ed8f50b86df0765c7c82ea91a1177683bfad0069962 SHA512 69a104a0a00c13946ca61c5e21a6acd4e75a43c775d54f270c9da3fd9475df54997c32a25a5c47a24012daac2f525457b1727fb2bb7291afb90627bf87d818ee
DIST attrs-17.4.0.tar.gz 97071 BLAKE2B f755abe89cedbf1ced003087fb106fae7c38dbdf0614ec0c525629ae09b3b790a7e0912da887dad4c5686afe7fb0df8123fea42e08e4e6718cdaf477edafcb2a SHA512 b631cd5af1be7c78175230363a3cf9d37cb0237d87b24f994812b5734985d114708d5bf7ee5d92b8b13c6b8daa313efde4a9f60f0630df0b62bbcf4928a016ff

@ -0,0 +1,36 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy{,3} )
inherit distutils-r1
DESCRIPTION="Attributes without boilerplate"
HOMEPAGE="
https://github.com/hynek/attrs
https://attrs.readthedocs.org/
https://pypi.python.org/pypi/attrs"
SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux ~amd64-fbsd"
IUSE="test"
RDEPEND="
dev-python/zope-interface[${PYTHON_USEDEP}]"
DEPEND="
${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]
test? (
dev-lang/python[sqlite]
>=dev-python/hypothesis-3.6.0[${PYTHON_USEDEP}]
dev-python/pytest[${PYTHON_USEDEP}]
)"
python_test() {
py.test -v || die "tests failed with ${EPYTHON}"
}

@ -1,4 +1,4 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -13,24 +13,11 @@ SRC_URI="http://git.liw.fi/cgi-bin/cgit/cgit.cgi/cliapp/snapshot/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
IUSE="test"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd"
IUSE=""
# test deps not supporting python 3
RESTRICT="test"
MY_DEPEND="
dev-python/pyyaml[${PYTHON_USEDEP}]
"
DEPEND="${PYTHON_DEPS}
${MY_DEPEND}"
# test? ( >=dev-python/CoverageTestRunner-1.11 dev-python/pep8 )
# "
RDEPEND="
${MY_DEPEND}
"
RDEPEND="dev-python/pyyaml[${PYTHON_USEDEP}]"
DEPEND="${RDEPEND}"
src_test() {
addwrite /proc/self/comm
@ -38,5 +25,5 @@ src_test() {
}
python_test() {
${PYTHON} -m CoverageTestRunner --ignore-missing-from=without-tests || die
"${EPYTHON}" -m unittest discover -v -p '*_tests.py' || die
}

@ -1,3 +1,4 @@
DIST docker-py-2.4.2.tar.gz 180890 BLAKE2B 57518a0c8481fde0198100354225cd8a2908af6d3ca2690d98ad80b386ca4c688c7ccd6a34634ce04fb5ab1553b6c0dfbc75d28333a10f28de7188fe2ee7ffde SHA512 3367066b2acd96b85bef28aef00c91d752dc25b3055575b4f2f9c0b981eb4bca81a742bc6da5f97cf039cd9c7d818e3f80101997fe3a2e2c6f3a9c42fd3111c2
DIST docker-py-2.7.0.tar.gz 196369 BLAKE2B dd181dbf32f5afda06e748cb49f15d5fc6ff4a579c64b505308ad0d96913ddc8065d165090ec2b20e1f17a4519988a5665dd7a8c7643ca53aaa4385ceecb1341 SHA512 15cf1d8949d71e472f7636ff975cbc4c5f3e18e2d193cb603ade1397a56d0c1ec239167b71be325af99105bc36590a0f0faa1ab010f36fe8baca7807ddfa191b
DIST docker-py-3.0.1.tar.gz 199081 BLAKE2B cb0c6a56da33b43c3f2c50bd16fb7306d08c770aee42c626a36d8fc5a0a4ff6d1851ef452e6585a587ed72ef27c4c6f45c7452ab3f0f994c959795721ef8aae1 SHA512 2d4f362c1a93b004f41d8338e801280827d646cbbd98d87c6fbab3fd443a3aa7ab43e9db7ad8197d50ee735d7d264e17991f5af7d5a2483c3630ca139ae21e19
DIST docker-py-3.1.0.tar.gz 201288 BLAKE2B 0aa7f712952aac86df37f4eb8f9c60c71199454472ac14d50ee2fd5acdf1980adea6b9f065fdb920999e8d657ae37028e0aff90dd82c3e8b3b13850d748c0e97 SHA512 7f69e6095f36b7a526367bf2762704f5dc5337ba81b2733ad0b683edc271ab17f548da4398176f2e1ffaad41f8f445e1c790af14d815404ad4df7a25d0ff0b7b

@ -0,0 +1,55 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
inherit distutils-r1
DESCRIPTION="Python client for Docker"
HOMEPAGE="https://github.com/docker/docker-py"
SRC_URI="https://github.com/docker/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~x86"
IUSE="doc test"
RDEPEND="
>=dev-python/docker-pycreds-0.2.2[${PYTHON_USEDEP}]
!~dev-python/requests-2.18.0[${PYTHON_USEDEP}]
>=dev-python/requests-2.14.2[${PYTHON_USEDEP}]
>=dev-python/six-1.4.0[${PYTHON_USEDEP}]
>=dev-python/websocket-client-0.32.0[${PYTHON_USEDEP}]
$(python_gen_cond_dep '>=dev-python/backports-ssl-match-hostname-3.5[${PYTHON_USEDEP}]' 'python2_7' 'python3_4' )
$(python_gen_cond_dep '>=dev-python/ipaddress-1.0.16[${PYTHON_USEDEP}]' 'python2_7' )
"
DEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
test? (
${RDEPEND}
>=dev-python/mock-1.0.1[${PYTHON_USEDEP}]
dev-python/pytest-runner[${PYTHON_USEDEP}]
>=dev-python/pytest-2.9.1[${PYTHON_USEDEP}]
)
doc? (
dev-python/recommonmark[${PYTHON_USEDEP}]
>=dev-python/sphinx-1.4.6[${PYTHON_USEDEP}]
)
"
python_prepare_all() {
sed -i -e "s/import pip//" -e "s/if 'docker-py'.*/if False:/" setup.py || die
distutils-r1_python_prepare_all
}
python_compile_all() {
if use doc; then
sphinx-build docs html || die "docs failed to build"
HTML_DOCS=( html/. )
fi
}
python_test() {
py.test tests/unit/ || die "tests failed under ${EPYTHON}"
}

@ -1,3 +1 @@
DIST dogpile.cache-0.6.1.tar.gz 324046 BLAKE2B eaa8f077c7a205143aafa359e293a424f8236cb0e489d221dc16be527d9867dbe9c6b8d2ee9c3c2fb6cdc8c407d0e7884b41c187d16df4fcac30ccf6ba96271f SHA512 c4743a88688d8f596469f2b3adf0cd862dd32891ae8c50d0c0421a984dfec872cbbecf936f704cf4351ae26b3ab4a26ae3b416f7c7f2ce3c41f8da2c9223178b
DIST dogpile.cache-0.6.2.tar.gz 329762 BLAKE2B 8509f9472370a63bede905d5d7ff9e6b60b07c8ce1fad6bf6b90c095ac40ae1ba701b0772ea80f40f0cefb089ee3f23f686d0863dbd10ec823b83b7163627c4f SHA512 5882e0a355db0bec9c1a0836034481d39008051ff42f48c85679ac70a42c6366d1bcbd01ecd3ca868d7ad725197e626e52b004d62269827e2605a4ecd491ce99
DIST dogpile.cache-0.6.4.tar.gz 315533 BLAKE2B 92848b82d923c6d19bc3aa7f0f1c399f8d7131bc308a79686269e904520e6b690c8d78a3c715e3e9153f81f1478bbb6e82ed6caad60a791e2488b023f1fe3d8c SHA512 0e86ed6aacbfbbbefdc3622ac956679c4986c77989daa3c3e845d4b8dbbf7945b4d0764789f03540b2ff59712e2ee86c8283cc3ee8d9e950f9ef1772db7ea137

@ -1,35 +0,0 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
PYTHON_COMPAT=( python{2_7,3_4,3_5} )
inherit distutils-r1
DESCRIPTION="A locking API for expiring values while a single thread generates a new value."
HOMEPAGE="https://bitbucket.org/zzzeek/dogpile.cache"
SRC_URI="mirror://pypi/${PN:0:1}/dogpile.cache/dogpile.cache-${PV}.tar.gz"
S="${WORKDIR}/dogpile.cache-${PV}"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="amd64 ~arm64 x86"
IUSE="test"
RDEPEND=""
DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
test? ( dev-python/pytest[${PYTHON_USEDEP}]
dev-python/pytest-cov[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}]
dev-python/mako[${PYTHON_USEDEP}] )"
# This time half the doc files are missing; Do you want them? toss a coin
python_test() {
# crikey. testsuite written for py3, 5 tests fail under py2.7
if [[ "${EPYTHON}" != "python2.7" ]]; then
nosetests || die "test failed under ${EPYTHON}"
else
einfo "testsuite restricted for python2.7"
fi
}

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save